> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a statement

> Gets a full statement by its ID.



## OpenAPI

````yaml openapi.json get /statements/{statement_id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 0.217.0
servers:
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v0
  - description: Production
    url: https://api.synctera.com/v0
security:
  - bearerAuth: []
tags:
  - description: Lookup merchant information
    name: Merchants
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Account programs define configurations for payment rails and transaction
      capabilities across different account types.
    name: Account Programs
  - description: Simulate receiving ACH transactions and returns
    name: ACH Transaction Simulations
  - description: Requests for risk evaluation and decisioning
    name: Risk Evaluations
  - description: Requests to link and manage External Cards
    name: External Cards
  - description: |
      The disclosures resource is used to track the status of disclosures and
      ensure that all parties have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures
  - description: Create and manage Cash Order and Cash Deposit transfers
    name: Cash Orders and Deposits (alpha)
  - description: Requests to initiate customer verification.
    name: KYC Verification (deprecated)
  - description: Request to create and manage users
    name: Users
  - description: See balance history
    name: BalanceHistory
  - description: >-
      Migration mappings associate resources from an old tenant identity with a
      new tenant identity.
    name: Migration Mappings
  - description: |
      The External Account resource is used for managing links to accounts
      that operate outside of the Synctera ecosystem.
    name: External Accounts
  - description: Requests to create and manage account products, including fees, interest.
    name: Account Products
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Create and manage documents.
    name: Documents
  - description: >-
      Create and manage same currency and multi-currency international wire
      transfers
    name: International Wires (alpha)
  - description: Requests for transaction risk detection
    name: Transaction risk
  - description: >-
      Used to configure bank accounts for which synctera accounts are considered
      a "subledger" to
    name: Bank Account
  - description: Request to create and manage party groups and party group members
    name: Party Groups
  - description: Requests to manage addresses
    name: Addresses
  - description: Requests to manage monitoring subscriptions and alerts for customers.
    name: Monitoring
  - description: Requests to search and manage compliance searches
    name: Compliance Searches
  - description: Requests to create and manage customers
    name: Customers
  - description: |
      The internal account resource is used for managing links to internal
      accounts where the funds are managed by integrators.
    name: Internal Accounts
  - description: Create and manage spending controls
    name: Spend Controls
  - description: Retrieve user identity information
    name: Identity
  - description: Requests to manage banks
    name: Banks
  - description: |
      The Disclosures resource is used to track the status of disclosures and
      ensure that customers have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures (deprecated)
  - description: Create and manage wire transfers
    name: Wires
  - description: Requests to issue and manage Cards
    name: Cards
  - description: Request to create and manage edd
    name: Trust
  - description: Request to enroll, renew, or cancel watchlist monitors
    name: Watchlist (deprecated)
  - description: Endpoints for modifying or fetching posting dates
    name: Posting Dates
  - description: Transaction lines API
    name: transactions
  - description: Request to create and manage accounts
    name: Accounts
  - description: Requests to create and manage notes
    name: Notes
  - description: Account Template
    name: Account Templates
  - description: API for effective balances
    name: effective_balances
  - description: Requests to create and manage personal ID configurations
    name: Personal ID Configuration
  - description: >
      A natural person (individual human) that is relevant to the Synctera
      platform in some way: e.g. a personal customer or a director/officer/owner
      of a business.
    name: Persons
  - description: >
      Represents the relationships between parties. A relationship can exist
      between personal customers, business customers, or non-customer
      persons/organizations.
    name: Relationships
  - description: >
      A legal entity (corporation, partnership, etc.) that is relevant to the
      Synctera platform in some way: a business customer or some other
      organization that has an ownership share in such a business customer.
    name: Businesses
  - description: Request to create and manage payment_schedules
    name: Cronut
  - description: Requests to manage partners
    name: Partners
  - description: Request to create and manage deposits using remote deposit capture
    name: Remote Check Deposit
  - description: Requests to create and manage API keys
    name: API Keys
  - description: Requests to create and manage ban rules
    name: Ban Rules
  - description: Admin API for Middesk configuration using the tenants API keys.
    name: Middesk
  - description: Request to create and manage exclusions
    name: Stately
  - description: Request to create and manage partner configurations
    name: Quickstart
  - description: Manage contacts for bank and fintech partners
    name: Contacts
  - description: Create and manage transactions
    name: Transactions
  - description: Request to create and manage rdc configurations
    name: RDC Config
  - description: Create and manage holds
    name: Hold
  - description: Requests to create and manage roles
    name: Roles
  - description: Simulate receiving Wire transactions and returns
    name: Wire Transaction Simulations
  - description: Requests to create licenses
    name: Licenses
  - description: Requests to Admins to grant permissions to user
    name: Request Permissions
  - description: Configure vendor secrets for egress requests
    name: Egress Gateway Vendor Secret CRUD API
  - description: Requests to screen parties against sanctions watchlists
    name: Sanctions Screening
  - description: Create and manage payments
    name: ACH
  - description: Requests to calculate and manage CRR
    name: CRR
  - description: Requests to search financial institutions
    name: Institutions (Beta)
  - description: Create and manage tenant configurations
    name: Tenant Configs
  - description: Create and manage sweep configurations
    name: Configs
  - description: >
      Represents the compliance rules that are used to verify certain kinds of
      money movement.
    name: Compliance Rules
  - description: Configure webhook secrets for egress requests
    name: Egress Gateway Webhook Secret CRUD API
  - description: Create and manage transactions
    name: Transactions (internal)
  - description: History
    name: History
  - description: Create and manage EFT Canada transfers
    name: EFT Canada (Beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Requests to initiate customer verification.
    name: KYC/KYB Verifications
paths:
  /statements/{statement_id}:
    summary: Statements
    get:
      tags:
        - Statements
      summary: Get a statement
      description: Gets a full statement by its ID.
      operationId: getStatement
      parameters:
        - $ref: '#/components/parameters/statement_id'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/statement'
          description: statement
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    statement_id:
      description: The unique identifier of a statement
      in: path
      name: statement_id
      required: true
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        format: uuid
        type: string
  schemas:
    statement:
      allOf:
        - properties:
            savings_summary:
              $ref: '#/components/schemas/savings_summary'
          type: object
        - $ref: '#/components/schemas/base_statement'
      description: A statement for a depository account
      title: Depository Statement
    savings_summary:
      description: >-
        A summary of the accrued interest for the saving account in the current
        period
      properties:
        accrual_days:
          description: >
            The number of days for which interest was accrued. In most cases
            this will match the number of days in the billing period, but may be
            less if an account was closed part way through the period.
          format: int32
          type: integer
        apy:
          description: >
            The annual percentage yield (APY) for this account for this
            statement period, rounded to two decimal points. For example, an APY
            of 5.5% will display as 5.50.
          example: 5.5
          format: float
          type: number
        interest_earned:
          description: >
            The total interest earned by the depository account for this
            statement period in ISO 4217 minor currency units. For example,
            $1.50 USD of interest will be displayed as 150.
          example: 150
          format: int64
          type: integer
        interest_earned_previous_month:
          description: >
            The total interest earned by the depository account in the previous
            statement period in ISO 4217 minor currency units. For example,
            $1.50 USD of interest will be displayed as 150.
          example: 150
          format: int64
          type: integer
        interest_earned_previous_year:
          description: >
            The total interest earned by the depository account in the previous
            year in ISO 4217 minor currency units. For example, $100 USD of
            interest will be displayed as 10000.
          example: 10000
          format: int64
          type: integer
        interest_earned_ytd:
          description: >
            The total interest earned by the depository account for this year to
            date in ISO 4217 minor currency units. For example, $100 USD of
            interest will be displayed as 10000.
          example: 10000
          format: int64
          type: integer
      title: Saving Summary
      type: object
    base_statement:
      allOf:
        - $ref: '#/components/schemas/statement_summary'
        - properties:
            account_summary:
              $ref: '#/components/schemas/account_summary'
            authorized_signer:
              items:
                $ref: '#/components/schemas/person'
              readOnly: true
              type: array
            closing_balance:
              description: >-
                The account balance at the end of the statement period, in ISO
                4217 minor currency units.
              format: int64
              type: integer
            customer_service_details:
              $ref: '#/components/schemas/customer_service_details'
            disclosure:
              type: string
            joint_account_holders:
              items:
                $ref: '#/components/schemas/person'
              readOnly: true
              type: array
            opening_balance:
              description: >-
                The account balance at the start of the statement period, in ISO
                4217 minor currency units.
              format: int64
              type: integer
            primary_account_holder_business:
              $ref: '#/components/schemas/business1'
            primary_account_holder_personal:
              $ref: '#/components/schemas/person'
            transactions:
              deprecated: true
              description: >
                This attribute is deprecated and will be removed in a future API
                version. Use `GET /v0/statements/{statement_id}/transactions`
                instead.
              items:
                $ref: '#/components/schemas/transaction'
              type: array
            transactions_omitted:
              description: >
                Only appears in `statement.created` webhook payloads. Indicates
                that the `transactions` attribute was emptied due to webhook
                size constraints. If this attribute returns `true`, you may use 
                `GET /v0/statements/{statement_id}/transactions` to retrieve the
                full list.
              type: boolean
          type: object
      type: object
    error:
      description: >-
        Synctera error responses in API v0 follow [RFC
        7807](https://datatracker.ietf.org/doc/html/rfc7807). Following that
        standard, the field for a machine-readable "error code" in API v0 is
        `type`.

        In our future API v1, we are phasing out RFC 7807 and adopting a custom
        error format. That format will be documented in our API v1 spec. But you
        may see some v0 error responses with a machine-readable `code` field
        while we are making the transition from v0 to v1.
      properties:
        code:
          description: >-
            An optional “sneak preview” of our future API v1 error responses.
            This is provided to give integrators a chance to work with our
            future error codes. Error codes for the same error may change
            between v0 and v1.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'missing required fields: first_name, dob'
          type: string
        status:
          description: the HTTP status code for this response
          example: 400
          type: integer
        title:
          description: >
            A human-readable string for this general category of error, which
            corresponds 1-to-1 with error types (`title` is the human-readable
            version of `type`). There can be multiple distinct titles for the
            same HTTP status code, and the same `title` can result in many
            different `detail` strings.

            This field will be removed in API v1.
          example: Bad Request Body
          type: string
        type:
          description: >
            A machine-readable string that identifies the error for programmatic
            use. This is a URI, i.e. a globally unique identifier. It is _not_
            necessarily a URL, so do not expect it to resolve to a web page. You
            can use this whole string as an error code, or just everything after
            the last slash.

            This field will be removed in API v1.
          example: https://dev.synctera.com/errors/bad-request-body
          type: string
      title: Standard error response (RFC 7807 problem report)
      type: object
    statement_summary:
      properties:
        account_id:
          description: The unique identifier of the account the statement belongs to
          format: uuid
          readOnly: true
          type: string
        due_date:
          description: >-
            The limit date when the due amount indicated on the statement should
            be paid
          format: date
          readOnly: true
          type: string
        end_date:
          description: >-
            The date indicating the ending of the time interval covered by the
            statement
          format: date
          readOnly: true
          type: string
        id:
          description: statement ID
          format: uuid
          readOnly: true
          type: string
        issue_date:
          description: The date when the statement has been issued
          format: date
          readOnly: true
          type: string
        start_date:
          description: >-
            The date indicating the beginning of the time interval covered by
            the statement
          format: date
          readOnly: true
          type: string
      title: Statement
      type: object
    account_summary:
      properties:
        account_number:
          description: Account number
          type: string
        account_status:
          description: Account Status
          type: string
        account_type:
          description: >
            The type of the account. In lead mode, this always takes the value
            of the template. If not specified in shadow mode, CHECKING will be
            assumed.
          type: string
        balance_ceiling:
          properties:
            balance:
              description: Maximum balance in the account's currency. Unit in cents.
              format: int64
              type: integer
          type: object
        balance_floor:
          properties:
            balance:
              description: Minimum balance in the account's currency. Unit in cents.
              format: int64
              type: integer
          type: object
        creation_time:
          description: Account creation time
          format: date-time
          type: string
        currency:
          description: >-
            Account currency or account settlement currency. ISO 4217 alphabetic
            currency code. Default USD
          example: USD
          pattern: ^[A-Z]{3}$
          type: string
        customer_type:
          description: Customer type
          type: string
        financial_institution:
          $ref: '#/components/schemas/financial_institution'
        id:
          description: The unique identifier of the account the statement belongs to
          format: uuid
          type: string
        last_updated_time:
          description: Account last modification time
          format: date-time
          type: string
        nickname:
          description: User provided account nickname
          type: string
      title: Account Summary
      type: object
    person:
      properties:
        creation_time:
          format: date-time
          type: string
        first_name:
          type: string
        id:
          format: uuid
          type: string
        last_name:
          type: string
        last_updated_time:
          format: date-time
          type: string
        middle_name:
          type: string
        relationship_type:
          type: string
      title: Person
      type: object
    customer_service_details:
      description: >-
        The customer service details of the fintech partner, e.g. phone number,
        email address, etc.
      properties:
        address:
          $ref: '#/components/schemas/address2'
        email:
          description: The customer service email address
          type: string
        phone_number:
          description: The customer service phone number
          type: string
      title: Customer Service Details
      type: object
    business1:
      properties:
        creation_time:
          format: date-time
          type: string
        ein:
          type: string
        email:
          type: string
        entity_name:
          type: string
        formation_date:
          format: date
          type: string
        formation_state:
          type: string
        id:
          format: uuid
          type: string
        last_updated_time:
          format: date-time
          type: string
        phone_number:
          type: string
        status:
          type: string
        structure:
          type: string
        trade_names:
          items:
            type: string
          type: array
        verification_last_run:
          format: date-time
          type: string
        verification_status:
          type: string
      title: Business
      type: object
    transaction:
      properties:
        data:
          $ref: '#/components/schemas/transaction_data'
        effective_date:
          description: >-
            The "effective date" of a transaction. This may be earlier than
            posted_date in some cases (for example, a transaction that occurs on
            a Saturday may not be posted until the following Monday, but would
            have an effective date of Saturday)
          format: date-time
          type: string
        id:
          type: integer
        posted_date:
          description: >-
            The date the transaction was posted. This is the date any money is
            considered to be added or removed from an account.
          format: date-time
          type: string
        status:
          type: string
        subtype:
          description: >-
            The specific transaction type. For example, for `ach`, this may be
            "outgoing_debit".
          type: string
        type:
          description: The general type of transaction. For example, "card" or "ach".
          type: string
        uuid:
          description: The unique identifier of the transaction.
          format: uuid
          type: string
      required:
        - data
        - effective_date
        - id
        - posted_date
        - status
        - subtype
        - type
        - uuid
      title: A posted transaction
      type: object
    financial_institution:
      properties:
        legal_address:
          $ref: '#/components/schemas/address2'
        name:
          type: string
        phone_number:
          type: string
      title: Financial Institution
      type: object
    address2:
      properties:
        address_line_1:
          type: string
        address_line_2:
          type: string
        city:
          type: string
        country_code:
          type: string
        postal_code:
          type: string
        state:
          type: string
      title: Address
      type: object
    transaction_data:
      properties:
        external_data:
          description: >-
            an unstructured json blob representing additional transaction
            information supplied by the integrator.
          nullable: true
          type: object
        lines:
          description: >-
            The set of accounting entries associated with this transaction. For
            example, a debit to a customer account will have a corresponding
            credit in a general ledger account.
          items:
            $ref: '#/components/schemas/transaction_line'
          type: array
        memo:
          type: string
        metadata:
          nullable: true
          type: object
      required:
        - lines
        - memo
      type: object
    transaction_line:
      properties:
        account_id:
          description: The account uuid associated with this transaction line
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          type: string
        account_no:
          description: The account number associated with this transaction line
          type: string
        amount:
          description: The amount (in cents) of the transaction
          type: integer
        currency:
          description: ISO 4217 alphabetic currency code of the transfer amount
          type: string
        dc_sign:
          $ref: '#/components/schemas/dc_sign'
        uuid:
          format: uuid
          type: string
      required:
        - account_id
        - account_no
        - amount
        - currency
        - dc_sign
        - uuid
      type: object
    dc_sign:
      description: The `dc_sign` represents the direction money was moved.
      enum:
        - credit
        - debit
      type: string
  responses:
    unauthorized:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden error
    not_found:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````